<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_7</title>
</head>
<body>
    <h1>Ejercicio 7</h1>
    <script>
    /*7)Programa una función que valide si una palabra o frase dada, es un 
    palìndromo (que se lee igual en un sentido que otro), pe. 
    miFuncion('Salas') devolverá true.*/

    const palabraPalin = (cadena = "") => {

        if (!cadena) return console.warn("No se ingreso un texto");
        cadena = cadena.toLowerCase();
        let revesPala = cadena.split("").reverse().join("");
        
        return (cadena === revesPala)
           ? console.log(`Su palabra si es palìndromo, ${cadena} -> ${revesPala}`)
           : console.log(`Su palabra no es palìndromo, ${cadena} -> ${revesPala}`)
    }
    
    palabraPalin("anitalavalatina");

    </script>
    
</body>
</html>